> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# List Sms Number Offers

GET https://api.simjuno.com/v1/sms-number/offers

List the SMS numbers available to rent, with prices. Empty while none are on sale. The account discount_percent does not apply to SMS numbers.

Reference: https://docs.simjuno.com/api-reference/sms-number/list-sms-number-offers

## Authentication

- `x-api-key` header (required) — API key generated from the dashboard (Settings → API Keys). Each key is limited to 8 requests per 1-second window.

## Response

### 200

Successful response

- `list of SmsNumberOffersGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 401 Unauthorized Error

API key is required

- `message` (string, required) — The error message
- `code` (string, required) — The error code
- `issues` (list of ErrorUnauthorizedIssuesItems, optional) — An array of issues that were responsible for the error

### 429 Too Many Requests Error

Too many requests. Each API key is limited to 8 requests per 1-second window.

- `message` (string, required) — The error message
- `code` (string, required) — The error code
- `issues` (list of ErrorTooManyRequestsIssuesItems, optional) — An array of issues that were responsible for the error

### 500 Internal Server Error

Internal server error

- `message` (string, required) — The error message
- `code` (string, required) — The error code
- `issues` (list of ErrorInternalServerErrorIssuesItems, optional) — An array of issues that were responsible for the error

## Types

### SmsNumberOffersGetResponsesContentApplicationJsonSchemaItems

- `product_id` (string, required) — Pass as product_id to POST /sms-number/order
- `name` (string, required)
- `region` (string, required, nullable)
- `options` (list of SmsNumberOffersGetResponsesContentApplicationJsonSchemaItemsOptionsItems, required) — Rental lengths on sale, shortest first

### ErrorUnauthorizedIssuesItems

- `message` (string, required)

### ErrorTooManyRequestsIssuesItems

- `message` (string, required)

### ErrorInternalServerErrorIssuesItems

- `message` (string, required)

### SmsNumberOffersGetResponsesContentApplicationJsonSchemaItemsOptionsItems

- `days` (integer, required) — Rental length in days
- `price` (integer, required) — Price charged to the reseller wallet, in units of 1/10,000 USD (30000 = $3.00)

## Examples

**Response**

```json
[
  {
    "product_id": "string",
    "name": "string",
    "region": "string",
    "options": [
      {
        "days": 1,
        "price": 1
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/sms-number/offers"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/sms-number/offers';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/sms-number/offers"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/sms-number/offers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.simjuno.com/v1/sms-number/offers")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.simjuno.com/v1/sms-number/offers', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/sms-number/offers");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/sms-number/offers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```